#pragma once

#include <SFML/Graphics/RenderWindow.hpp>
#include <memory>

#include "shared/classicmode/classicfactory.h"

class ClassicFactorySFML : public ClassicFactory
{
public:
    explicit ClassicFactorySFML(const std::shared_ptr<sf::RenderTarget>& render_target);
    virtual std::unique_ptr<kku::Game> getGame() const override;
    virtual std::unique_ptr<kku::Editor> getEditor() const override;

private:
    const std::shared_ptr<sf::RenderTarget> _render_target;
};
