#pragma once

#include "graphics/classicspritefactory.h"

#include <SFML/Graphics/RenderTarget.hpp>

class ClassicSpriteFactorySFML : public ClassicSpriteFactory
{
public:
    explicit ClassicSpriteFactorySFML(const std::shared_ptr<sf::RenderTarget>& render_target);
    virtual std::shared_ptr<ClassicSprite> create(Type type) const override;

private:
    const std::shared_ptr<sf::RenderTarget> _render_target;
};
