#pragma once

#include <set>

#include "core/time.h"
#include "classicnote.h"

namespace classic
{

struct Beatmap
{
    std::set<ClassicNote*, kku::NotePtrComparator> notes;
    kku::microsec visibility_offset;
};

Beatmap createBeatmap(const std::string& filepath, const Context& context);

}

