#pragma once

#include "classicanimationscenario.h"
#include "core/point.h"

class ClassicFlyingAnimationScenario : public ClassicAnimationScenario
{
public:
    virtual void launch(const std::shared_ptr<ClassicSprite> sprite, const kku::microsec& time_begin, const kku::microsec& time_end) override;
    virtual void update(const kku::microsec& music_offset) override;
    virtual bool isDone() const override;

private:
    float getPoint(const kku::Point& position, float perc) const;
    void fadeTrailSprite() const;

    float _percentage;
};
