#pragma once

#include <memory>

#include "classicmode/classicactions.h"
#include "graphics/classicsprite.h"

class ClassicSpriteFactory
{
public:
    virtual ~ClassicSpriteFactory() = default;
    virtual std::shared_ptr<ClassicSprite> create(Type type) const = 0;
};
