#pragma once

#include <memory>

#include "core/game.h"
#include "core/editor.h"

class ClassicFactory
{
public:
    virtual ~ClassicFactory() = default;
    virtual std::unique_ptr<kku::Game> getGame() const = 0;
    virtual std::unique_ptr<kku::Editor> getEditor() const = 0;
};
