#pragma once

#include <vector>

#include "core/time.h"

namespace beat_utils
{
    struct BeatInfo
    {
        int BPM = 0;
        kku::microsec interval = 0;
    };

    BeatInfo calculateBeatRateInfo(const std::vector<kku::microsec>& approximate_deltas);
}
